---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libem01t001.dylib'
relocations:
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x6550, symBinAddr: 0x3234, symSize: 0x270 }
  - { offsetInCU: 0xAC9, offset: 0xAC9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x74220, symBinAddr: 0xC2A8, symSize: 0x0 }
  - { offsetInCU: 0xAF0, offset: 0xAF0, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x76160, symBinAddr: 0xE1E8, symSize: 0x0 }
  - { offsetInCU: 0xB12, offset: 0xB12, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x76548, symBinAddr: 0xE5D0, symSize: 0x0 }
  - { offsetInCU: 0xB34, offset: 0xB34, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x774E8, symBinAddr: 0xF570, symSize: 0x0 }
  - { offsetInCU: 0xB49, offset: 0xB49, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x774F0, symBinAddr: 0xF578, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x73DF8, symBinAddr: 0xC0C0, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x73DFC, symBinAddr: 0xC0C4, symSize: 0x0 }
  - { offsetInCU: 0xBDA, offset: 0xBDA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x73E00, symBinAddr: 0xC0C8, symSize: 0x0 }
  - { offsetInCU: 0xC1F, offset: 0xC1F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x73F50, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0xC98, offset: 0xC98, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x74008, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0xCB6, offset: 0xCB6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x7400C, symBinAddr: 0xC18C, symSize: 0x0 }
  - { offsetInCU: 0xCCF, offset: 0xCCF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x74010, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0xCE8, offset: 0xCE8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x74014, symBinAddr: 0xC194, symSize: 0x0 }
  - { offsetInCU: 0xD01, offset: 0xD01, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x74018, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x92C7, offset: 0x92C7, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x74020, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9350, offset: 0x9350, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x74030, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9369, offset: 0x9369, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x74038, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9382, offset: 0x9382, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x74040, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x939B, offset: 0x939B, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x74048, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x93B4, offset: 0x93B4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x74050, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x93CE, offset: 0x93CE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x74058, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x94B4, offset: 0x94B4, size: 0x8, addend: 0x0, symName: __ZL10eventCount, symObjAddr: 0x7409C, symBinAddr: 0xC1E4, symSize: 0x0 }
  - { offsetInCU: 0x94D9, offset: 0x94D9, size: 0x8, addend: 0x0, symName: __ZL12currentPhase, symObjAddr: 0x74138, symBinAddr: 0xC280, symSize: 0x0 }
  - { offsetInCU: 0x94F2, offset: 0x94F2, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x74140, symBinAddr: 0xC288, symSize: 0x0 }
  - { offsetInCU: 0x950B, offset: 0x950B, size: 0x8, addend: 0x0, symName: __ZL8syncLock, symObjAddr: 0x74148, symBinAddr: 0xC290, symSize: 0x0 }
  - { offsetInCU: 0x9524, offset: 0x9524, size: 0x8, addend: 0x0, symName: __ZL16classLoaderCount, symObjAddr: 0x74150, symBinAddr: 0xC298, symSize: 0x0 }
  - { offsetInCU: 0x953D, offset: 0x953D, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x74158, symBinAddr: 0xC2A0, symSize: 0x0 }
  - { offsetInCU: 0x9D25, offset: 0x9D25, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassED1Ev, symObjAddr: 0x114, symBinAddr: 0x1D04, symSize: 0x25C }
  - { offsetInCU: 0xA0BB, offset: 0xA0BB, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassE17DecimalToAsciiRecEPci, symObjAddr: 0xDA3C, symBinAddr: 0x5F1C, symSize: 0x5C }
  - { offsetInCU: 0xA254, offset: 0xA254, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv14GetObjectClassEP8_jobjectiPKc, symObjAddr: 0x70C, symBinAddr: 0x1F60, symSize: 0x114 }
  - { offsetInCU: 0xA519, offset: 0xA519, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x3644, symBinAddr: 0x211C, symSize: 0xA0 }
  - { offsetInCU: 0xA5AE, offset: 0xA5AE, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x361C, symBinAddr: 0x20F4, symSize: 0x28 }
  - { offsetInCU: 0xA611, offset: 0xA611, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x3588, symBinAddr: 0x2074, symSize: 0x80 }
  - { offsetInCU: 0xA8A5, offset: 0xA8A5, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x36E4, symBinAddr: 0x21BC, symSize: 0x34 }
  - { offsetInCU: 0xA8FF, offset: 0xA8FF, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x3718, symBinAddr: 0x21F0, symSize: 0x20C }
  - { offsetInCU: 0xAAB8, offset: 0xAAB8, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x3924, symBinAddr: 0x23FC, symSize: 0x28 }
  - { offsetInCU: 0xAB81, offset: 0xAB81, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x3960, symBinAddr: 0x2424, symSize: 0xB0 }
  - { offsetInCU: 0xAC78, offset: 0xAC78, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x3AC8, symBinAddr: 0x24D4, symSize: 0xD8 }
  - { offsetInCU: 0xADE5, offset: 0xADE5, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x44E4, symBinAddr: 0x25AC, symSize: 0x24 }
  - { offsetInCU: 0xAEA7, offset: 0xAEA7, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x49D0, symBinAddr: 0x25D0, symSize: 0x168 }
  - { offsetInCU: 0xB083, offset: 0xB083, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x4B38, symBinAddr: 0x2738, symSize: 0x104 }
  - { offsetInCU: 0xB334, offset: 0xB334, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x4F18, symBinAddr: 0x283C, symSize: 0x3F8 }
  - { offsetInCU: 0xB57E, offset: 0xB57E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x5430, symBinAddr: 0x2C34, symSize: 0xDC }
  - { offsetInCU: 0xB61C, offset: 0xB61C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x55D8, symBinAddr: 0x2D10, symSize: 0x154 }
  - { offsetInCU: 0xB800, offset: 0xB800, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x572C, symBinAddr: 0x2E64, symSize: 0xAC }
  - { offsetInCU: 0xB8D5, offset: 0xB8D5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x5A78, symBinAddr: 0x2F10, symSize: 0x14 }
  - { offsetInCU: 0xB90E, offset: 0xB90E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x5A8C, symBinAddr: 0x2F24, symSize: 0x14 }
  - { offsetInCU: 0xB947, offset: 0xB947, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x5AA0, symBinAddr: 0x2F38, symSize: 0x14 }
  - { offsetInCU: 0xBAE4, offset: 0xBAE4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x6204, symBinAddr: 0x2F4C, symSize: 0x1A8 }
  - { offsetInCU: 0xBDEE, offset: 0xBDEE, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x63AC, symBinAddr: 0x30F4, symSize: 0x140 }
  - { offsetInCU: 0xBF8F, offset: 0xBF8F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x67C0, symBinAddr: 0x34A4, symSize: 0x1C0 }
  - { offsetInCU: 0xC26C, offset: 0xC26C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x6980, symBinAddr: 0x3664, symSize: 0x9C }
  - { offsetInCU: 0xC32A, offset: 0xC32A, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x6A1C, symBinAddr: 0x3700, symSize: 0x690 }
  - { offsetInCU: 0xCE42, offset: 0xCE42, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xD6A8, symBinAddr: 0x5B88, symSize: 0x30 }
  - { offsetInCU: 0xCECF, offset: 0xCECF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x70AC, symBinAddr: 0x3D90, symSize: 0x74 }
  - { offsetInCU: 0xCF97, offset: 0xCF97, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x7DDC, symBinAddr: 0x3E04, symSize: 0xB0 }
  - { offsetInCU: 0xD0A2, offset: 0xD0A2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x8A58, symBinAddr: 0x3EB4, symSize: 0x3C }
  - { offsetInCU: 0xD198, offset: 0xD198, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x8A94, symBinAddr: 0x3EF0, symSize: 0x29C }
  - { offsetInCU: 0xD4DB, offset: 0xD4DB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x8D30, symBinAddr: 0x418C, symSize: 0xD0 }
  - { offsetInCU: 0xD609, offset: 0xD609, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x8E00, symBinAddr: 0x425C, symSize: 0xC }
  - { offsetInCU: 0xD6CB, offset: 0xD6CB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x8E0C, symBinAddr: 0x4268, symSize: 0x22C }
  - { offsetInCU: 0xD986, offset: 0xD986, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xBFB4, symBinAddr: 0x4494, symSize: 0x4 }
  - { offsetInCU: 0xD9CA, offset: 0xD9CA, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xBFB4, symBinAddr: 0x4494, symSize: 0x4 }
  - { offsetInCU: 0xD9E3, offset: 0xD9E3, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0xBFB8, symBinAddr: 0x4498, symSize: 0x638 }
  - { offsetInCU: 0xE1E4, offset: 0xE1E4, size: 0x8, addend: 0x0, symName: __ZL11enableEvent14jvmtiEventMode10jvmtiEvent, symObjAddr: 0xD498, symBinAddr: 0x5978, symSize: 0xFC }
  - { offsetInCU: 0xE2F3, offset: 0xE2F3, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xC5F0, symBinAddr: 0x4AD0, symSize: 0x4 }
  - { offsetInCU: 0xE337, offset: 0xE337, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xC5F0, symBinAddr: 0x4AD0, symSize: 0x4 }
  - { offsetInCU: 0xE38C, offset: 0xE38C, size: 0x8, addend: 0x0, symName: _classEventsHandler, symObjAddr: 0xC5F4, symBinAddr: 0x4AD4, symSize: 0x384 }
  - { offsetInCU: 0xE75C, offset: 0xE75C, size: 0x8, addend: 0x0, symName: __ZL11changeCount10jvmtiEvent, symObjAddr: 0xC978, symBinAddr: 0x4E58, symSize: 0x13C }
  - { offsetInCU: 0xE9B4, offset: 0xE9B4, size: 0x8, addend: 0x0, symName: _threadEventHandler, symObjAddr: 0xCAB4, symBinAddr: 0x4F94, symSize: 0x3A4 }
  - { offsetInCU: 0xEE94, offset: 0xEE94, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv10FatalErrorEP7JNIEnv_PKc, symObjAddr: 0xCE58, symBinAddr: 0x5338, symSize: 0x50 }
  - { offsetInCU: 0xEF62, offset: 0xEF62, size: 0x8, addend: 0x0, symName: _cbVMStart, symObjAddr: 0xCEA8, symBinAddr: 0x5388, symSize: 0x11C }
  - { offsetInCU: 0xF09C, offset: 0xF09C, size: 0x8, addend: 0x0, symName: _cbVMInit, symObjAddr: 0xCFC4, symBinAddr: 0x54A4, symSize: 0x140 }
  - { offsetInCU: 0xF1C5, offset: 0xF1C5, size: 0x8, addend: 0x0, symName: _cbVMDeath, symObjAddr: 0xD104, symBinAddr: 0x55E4, symSize: 0x1B8 }
  - { offsetInCU: 0xF37A, offset: 0xF37A, size: 0x8, addend: 0x0, symName: _cbClassLoad, symObjAddr: 0xD2BC, symBinAddr: 0x579C, symSize: 0xC }
  - { offsetInCU: 0xF3E7, offset: 0xF3E7, size: 0x8, addend: 0x0, symName: _cbClassPrepare, symObjAddr: 0xD2C8, symBinAddr: 0x57A8, symSize: 0xC }
  - { offsetInCU: 0xF457, offset: 0xF457, size: 0x8, addend: 0x0, symName: _cbThreadStart, symObjAddr: 0xD2D4, symBinAddr: 0x57B4, symSize: 0x14 }
  - { offsetInCU: 0xF4C8, offset: 0xF4C8, size: 0x8, addend: 0x0, symName: _cbThreadEnd, symObjAddr: 0xD2E8, symBinAddr: 0x57C8, symSize: 0x14 }
  - { offsetInCU: 0xF55B, offset: 0xF55B, size: 0x8, addend: 0x0, symName: _checkEvents, symObjAddr: 0xD2FC, symBinAddr: 0x57DC, symSize: 0x19C }
  - { offsetInCU: 0xF6C7, offset: 0xF6C7, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xD594, symBinAddr: 0x5A74, symSize: 0x114 }
  - { offsetInCU: 0xF823, offset: 0xF823, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xD6D8, symBinAddr: 0x5BB8, symSize: 0x358 }
...
